SAVEFS(8)

NAME
savefs - save filesystem to a NetWorker server

SYNOPSIS

savefs
    [ options ] filesystem

savefs
    -p [ options ] [ filesystem ... ] [ -M filesystem ... ]

options:
    [ -BEFnpqRv ] [ -s server ] [ -N name ] [ -g group ] [ -c client ] [ -l level | -C schedule ] [ -e retention ] [ -f filename ] [ -W width ] [ -t date ] [ -T seconds ]

DESCRIPTION
The savefs command saves a filesystem (using save(8)) to a NetWorker server. Mount points are not crossed, and symbolic links are not followed. NOTE: running savefs directly is not recommended; use savegrp(8) instead.

A level-based system (similar to dump(8)) is used to save only those files which have been modified since some previous save (a partial save).

The nsr_schedule(5) for the local NetWorker client is examined to determine the proper level of save for the current date.

The set of files saved depends on when, and at what level, previous saves have been performed, in addition to the effects of the default directives (see nsr_directive(5)), and the various directive files (see nsr(5)) which are encountered while processing the filesystem.

FILESYSTEM PROBES

The savefs command may also be used to probe a client for its filesystems and recent save times. When probing, savefs does not save data, but instead produces a machine-parsable report describing the layout of the client's filesystems. When used with the -p probe option, the local NetWorker client's nsr_client(5) resources are examined, and the filesystems listed in the save set attribute are probed (if no filesystems are listed on the command line). If the save set list consists of the keyword All, then the /etc/fstab file (/etc/vfstab on Solaris, /etc/mnttab on SCO, and a kernel table on AIX) are examined to determine which filesystems should be saved, making sure to save only local, mounted filesystems.

Note that metadevices within the Sun Solaris Online DiskSuite and Logical Volumes within the HP-UX Logical Volume Manager are treated like independent disks. This approach allows each to be saved in its own session, assuming sufficient parallelism.

Care should be taken when the NSR client resource explicitly lists the save sets, for two primary reasons. First, this list must be manually updated when new filesystems are added which need saving. Second, since savefs only stops at the end of a path or a mount point, if you list two save sets in the same filesystem, and one is a subdirectory of the other, the subdirectory will be saved twice.

Filesystem arguments can be specified to limit the filesystem saves to only those specified, but the specified filesystems must appear on some Save Set list for this client (see the -F option).

OPTIONS

-B  Force save of all connecting directory information from root (``/'') down to the point of invocation. This option is used by savegrp(8), for example, when saving the server's bootstrap information.

-c client
    The name of the client whose filesystem needs to be saved. This option is especially needed in a cluster environment where a physical host can represent its own hostname as well as hostnames of any virtual (also known as "logical") hosts that exist in this physical host. Without this option, the hostname of the physical host is assumed by default. This option is required if a filesystem that belongs to any of the virtual hosts needs to be saved.

-C schedule
    The name of the schedule (see nsr_schedule(5)) to use when automatically determining the save level. If this option is not specified, savefs uses the schedule named by the NSR client resource for the specified filesystem.

-e retention
    Sets the date (in nsr_getdate(3) format) when the saved data will become recyclable. By default, the server determines this date for the save set based on the retention policies in effect.

-E  Estimate. Before saving any data, browse the filesystem trees to be saved and accurately estimate the amount of data that will be generated. Without this flag, the estimate size is zero. This flag consumes an amount of time proportional to the number of files in each filesystem. This is because the entire directory is browsed before any saving begins and browsed again when actually saving the directory, but the file data is only read from the disk the last time. In many cases, the overhead for using this flag is small and is well-justified.

-f filename
    The file from which application specific modules (or ASMs) should take their directives (see nsr(5)). By default, these are taken from the NSR directive resource named by the directive attribute in the NSR client resource for each client (see nsr_directive(5)).

-F  Force. Save every argument like a filesystem, even if it is not listed in fstab(5) or nsr_client(5).

-M  As part of a probe, signifies that all subsequent filesystems should be probed for their ability to be migrated. This option is quietly ignored on systems that do not support file migration.

-g group
    Restrict the scope of the client to a particular group. If this option is not specified, save sets from all instances of the NSR client resource for this client will be used, regardless of the group. This value is also passed on to save(8), which uses it to select a specific media pool.

-l level
    The level of save to perform. There are 12 levels: full, levels 1 though 9, incr, and skip. Full specifies that all files are to be saved. It is analogous to a level 0 dump in dump(8). Incr specifies incremental saves in which only those files that have been modified since the most recent save, at any level, are saved. This level has no exact analogue in dump(8) since the last save at any level, including previous incremental saves, are considered when determining what to save. Skip causes no files to be saved. The levels 1 though 9 cause all files to be saved which have been modified since any lower level save was performed. As an example, if you did a full save on Monday, followed by a level 3 save on Tuesday, a subsequent level 3 save on Wednesday would contain all files modified or added since the Monday full save. By default, the save level is determined automatically from the NetWorker client's schedule (see nsr_schedule(5)). By using the history of previous saves maintained by nsrmmd(8) on the NetWorker server, the needed time for the given level can correctly be computed. By using media information on the server, times computed for saves that are based on previous save levels will automatically be adjusted as required when tapes are deleted.

-n  No save. Accurately estimates the amount of data that would be generated (as described for -E, but doesn't save any data.

-N name
    The symbolic name this set of saves is to be known by. By default, the first filesystem argument is used as the name.

-p  List the name of the filesystems, the level of save that would be performed, and the time since which files must have been modified to be saved, but don't actually do the save. This information is gleaned from the /etc/fstab file (or another operating system specific file, as described above) and the nsr_schedule(5).

-q  Quiet. Display only summary information and error messages.

-qq Really quiet. Display only error messages.

-R  Cause savefs to report on its success or failure, by echoing a simple "succeeded" or "failed" message. This is used by savegrp(8) when it is running savefs.

-s server
    Specifies which machine to use as the NetWorker server. See nsr(8) for the algorithm NetWorker uses to choose a server when none is specified.

-t date
    The date (in nsr_getdate(3) format) from which to base schedule level calculations. If not specified, the current time is used.

-T seconds
    Specifies the ``inactivity timeout'' in seconds. If savefs detects that the (local) server has made no progress in the specified time, then it concludes that the save command is hung. A message is printed to stderr and savefs exits normally. This option should only be used on NetWorker server machines.

-v  Verbose. Causes lots of debugging style output. This option is also used by savegrp(8) when it is probing for the capabilities of the client's savefs, for supporting multiple versions.

-W width
    The width used when formatting output or notification messages. By default, this is 80.

RESOURCE TYPES

NSR client
    These resources specify the client's save sets, default schedule, and directives to use when saving them.

NSR directive
    A resource of this type is named by the directive attribute in each NSR client resource. These are the directives used for the save sets specified in the associated NSR client resource.

NSR schedule
    A resource of this type is named by the schedule attribute in each NSR client resource. This is the schedule used for the save sets specified in the associated NSR client resource.

FILES

/etc/fstab
    If All is specified in the save set attribute for a NSR client resource, then the list of local filesystems is taken from this file.

/etc/vfstab
    Solaris only. The same as /etc/fstab on other operating systems.

/etc/mnttab
    SCO only. The same as /etc/fstab on other operating systems.

SEE ALSO
nsr_getdate(3), fstab(5), mnttab(F) (SCO only), vfstab(5) (Solaris only), nsr(5), nsr_service(5), nsr_schedule(5), dump(8), nsr(8), nsrd(8), nsrindexd(8), nsrmmd(8), recover(8), save(8), savegrp(8).

DIAGNOSTICS

  Exit Codes

0   Normal exit.

255 Abnormal exit.